<%# header bar for doc items in index view -%>

<%# thumbnail %>
<%= render :partial => 'document_thumbnail', :locals => { :document => document, :opts => {:counter => (document_counter + 1 + @response.params[:start].to_i)} } %>

<div>

  <%# main title container for doc partial view -%>

  <% if is_collection?( document ) %>
		<span>Collection</span>
	<% else %>
    <span>Item</span>
	<% end %>

	<h3>
		<%#= t('blacklight.search.documents.counter', :counter => (document_counter + 1 + @response.params[:start].to_i)) %>
		<% access_val = !session[:user_id].blank? ? 'curator' : ''%>
		<%= link_to_document document, :label=>document_show_link_field, :counter => (document_counter + 1 + @response.params[:start].to_i), :access => access_val,  :sep => ': ' %>
	</h3>

	<%# main container for doc partial view -%>

  <% if is_collection?( document ) %>
    <%= render :partial => 'collection', :locals => { :document => document, :metadata_colls => metadata_colls} %>
  <% else %>
	  <%= render_document_partial document, :index %>
  <% end %>

	<%# TODO... display this as a link, not a button... find test case %>

  <%# bookmark functions for items/docs -%>

  <% if !current_user.nil? && current_user.provider != 'anonymous'%>
	 	<%= render_index_doc_actions document, :wrapping_class => '' %>
  <% end %>

</div>
